# Uses of Class
org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

Packages that use AbstractEntityRequestType
Package
Description
org.eclipse.ecf.remoteservice.rest.client

## Uses of AbstractEntityRequestType in org.eclipse.ecf.remoteservice.rest.client

Subclasses of AbstractEntityRequestType in org.eclipse.ecf.remoteservice.rest.client
Modifier and Type
Class
Description
`class`
`HttpPatchRequestType`
`class`
`HttpPostRequestType`
`class`
`HttpPutRequestType`
Methods in org.eclipse.ecf.remoteservice.rest.client with parameters of type AbstractEntityRequestType
Modifier and Type
Method
Description
`protected org.apache.http.client.entity.UrlEncodedFormEntity`
RestClientService.`getUrlEncodedFormEntity(List list, AbstractEntityRequestType postRequestType)`